summarylogtreecommitdiffstats
path: root/emacs.install
diff options
context:
space:
mode:
authorThomas Jost2011-09-27 14:16:40 +0200
committerThomas Jost2011-09-27 14:16:40 +0200
commitda24826bf5d6dacce38426fa3e4be56285341fa1 (patch)
tree476d3b017e78780f135734a2ee13c8b2c467548c /emacs.install
downloadaur-da24826bf5d6dacce38426fa3e4be56285341fa1.tar.gz
New package: emacs-pretest
Diffstat (limited to 'emacs.install')
-rw-r--r--emacs.install32
1 files changed, 32 insertions, 0 deletions
diff --git a/emacs.install b/emacs.install
new file mode 100644
index 000000000000..d84f1de14449
--- /dev/null
+++ b/emacs.install
@@ -0,0 +1,32 @@
+ICON_PATH=usr/share/icons/hicolor
+INFO_DIR=usr/share/info
+
+INFO_FILES=(ada-mode auth autotype calc ccmode cl dbus dired-x ebrowse
+ede ediff edt efaq eieio eintr elisp emacs emacs-mime epa erc eshell eudc flymake
+forms gnus idlwave info mairix-el message mh-e newsticker nxml-mode
+org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail
+speedbar tramp url vip viper widget woman)
+
+post_install() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info ${INFO_DIR}/$f.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info --delete ${INFO_DIR}/$f.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}